Last Comment Bug 776283 - function.toString() is missing trailing }
: function.toString() is missing trailing }
Status: RESOLVED FIXED
: regression
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: 17 Branch
: x86 All
: -- normal (vote)
: mozilla17
Assigned To: :Benjamin Peterson
:
: Jason Orendorff [:jorendorff]
Mentors:
Depends on:
Blocks: savesource
  Show dependency treegraph
 
Reported: 2012-07-21 15:01 PDT by Alice0775 White
Modified: 2012-11-09 07:52 PST (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed


Attachments
decode the source properly (5.16 KB, patch)
2012-07-21 17:32 PDT, :Benjamin Peterson
no flags Details | Diff | Splinter Review
decode source properly (6.88 KB, patch)
2012-07-22 07:50 PDT, :Benjamin Peterson
bzbarsky: review+
Details | Diff | Splinter Review

Description Alice0775 White 2012-07-21 15:01:52 PDT
Build Identifier:
http://hg.mozilla.org/mozilla-central/rev/446b788ab99d
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:17.0) Gecko/17.0 Firefox/17.0 ID:20120721041038

For ex. evaluate the following code in Scratchpad(need chrome right)
alert( getBrowserSelection.toString() )
Then there is missing trailing }

Step To Reproduced
1. Open Firefox with Clean profile
2. Set devtools.chrome.enabled = true in about:config
3. Open Scratchpad (Shift+F4) and Environment > Browser checked
4. Run alert( getBrowserSelection.toString() )

Actual Results
  missing trailing }
 
Expected Resuls
  Should not

Regression window:
Good:
http://hg.mozilla.org/integration/mozilla-inbound/rev/6e09c52e2c73
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:17.0) Gecko/17.0 Firefox/17.0 ID:20120720111908
Bad:
http://hg.mozilla.org/integration/mozilla-inbound/rev/f9b341d6babd
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:17.0) Gecko/17.0 Firefox/17.0 ID:20120720112708
Pushlog:
http://hg.mozilla.org/integration/mozilla-inbound/pushloghtml?fromchange=6e09c52e2c73&tochange=f9b341d6babd


Regressed by Bug 761723
Comment 1 :Benjamin Peterson 2012-07-21 15:40:04 PDT
The source needs to be decoded with nsScriptLoader::ConvertToUTF16 before being passed to the JS engine.
Comment 2 :Benjamin Peterson 2012-07-21 17:32:25 PDT
Created attachment 644698 [details] [diff] [review]
decode the source properly
Comment 3 :Benjamin Peterson 2012-07-22 07:50:53 PDT
Created attachment 644759 [details] [diff] [review]
decode source properly
Comment 4 Boris Zbarsky [:bz] (still a bit busy) 2012-07-22 08:23:54 PDT
Comment on attachment 644759 [details] [diff] [review]
decode source properly

r=me
Comment 6 Ryan VanderMeulen [:RyanVM] 2012-07-22 12:44:05 PDT
https://hg.mozilla.org/mozilla-central/rev/1485b7d63b61
Comment 7 Lukas Blakk [:lsblakk] use ?needinfo 2012-07-23 15:23:54 PDT
no need to track for 17, it's fixed. adjusting flags accordingly.
Comment 8 Morar Mihai 2012-11-09 07:52:28 PST
I verified on Windows 7 X86, Ubuntu X32 and Mac 10.8 and it is not reproducing on Firefox 17.0b5.

Note You need to log in before you can comment on or make changes to this bug.